Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

eZ\Publish\Core\Persistence\Legacy\Content\ObjectState\Gateway Member List

This is the complete list of members for eZ\Publish\Core\Persistence\Legacy\Content\ObjectState\Gateway, including all inherited members.

deleteObjectState($stateId) | eZ\Publish\Core\Persistence\Legacy\Content\ObjectState\Gateway |
deleteObjectStateGroup($groupId) | eZ\Publish\Core\Persistence\Legacy\Content\ObjectState\Gateway |
deleteObjectStateLinks($stateId) | eZ\Publish\Core\Persistence\Legacy\Content\ObjectState\Gateway |
getContentCount($stateId) | eZ\Publish\Core\Persistence\Legacy\Content\ObjectState\Gateway |
insertObjectState(ObjectState $objectState, $groupId) | eZ\Publish\Core\Persistence\Legacy\Content\ObjectState\Gateway |
insertObjectStateGroup(Group $objectStateGroup) | eZ\Publish\Core\Persistence\Legacy\Content\ObjectState\Gateway |
loadObjectStateData($stateId) | eZ\Publish\Core\Persistence\Legacy\Content\ObjectState\Gateway |
loadObjectStateDataByIdentifier($identifier, $groupId) | eZ\Publish\Core\Persistence\Legacy\Content\ObjectState\Gateway |
loadObjectStateDataForContent($contentId, $stateGroupId) | eZ\Publish\Core\Persistence\Legacy\Content\ObjectState\Gateway |
loadObjectStateGroupData($groupId) | eZ\Publish\Core\Persistence\Legacy\Content\ObjectState\Gateway |
loadObjectStateGroupDataByIdentifier($identifier) | eZ\Publish\Core\Persistence\Legacy\Content\ObjectState\Gateway |
loadObjectStateGroupListData($offset, $limit) | eZ\Publish\Core\Persistence\Legacy\Content\ObjectState\Gateway |
loadObjectStateListData($groupId) | eZ\Publish\Core\Persistence\Legacy\Content\ObjectState\Gateway |
setContentState($contentId, $groupId, $stateId) | eZ\Publish\Core\Persistence\Legacy\Content\ObjectState\Gateway |
updateObjectState(ObjectState $objectState) | eZ\Publish\Core\Persistence\Legacy\Content\ObjectState\Gateway |
updateObjectStateGroup(Group $objectStateGroup) | eZ\Publish\Core\Persistence\Legacy\Content\ObjectState\Gateway |
updateObjectStateLinks($oldStateId, $newStateId) | eZ\Publish\Core\Persistence\Legacy\Content\ObjectState\Gateway |
updateObjectStatePriority($stateId, $priority) | eZ\Publish\Core\Persistence\Legacy\Content\ObjectState\Gateway |

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.